<?php

$lzFitnessSliderSingleChoice = getFitnessPostsType('lz_fitness_slider');

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'lz_fitness_premium_slider_section',
	array(
		'title' => __( 'Slider Section', 'gurukul' ),
        'panel' => 'lz_fitness_premium_home_panel',
		'priority' =>18
	)
);
// show content in slider
$wp_customize->add_setting(
	'lz_fitness_premium_slider_show_content',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_premium_slider_show_content',
		array(
			'settings'      => 'lz_fitness_premium_slider_show_content',
			'section'       => 'lz_fitness_premium_slider_section',
			'label'         => __( 'Hide Title and description on slider', 'gurukul' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'gurukul' ),
				'off' => __( 'No', 'gurukul' )
			),
		)
	)
);

$wp_customize->add_setting('lz_fitness_premium_slider_section_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Info_Text( 
		$wp_customize,
		'lz_fitness_premium_slider_section_lbl',
		array(
			'settings'		=> 'lz_fitness_premium_slider_section_lbl',
			'section'		=> 'lz_fitness_premium_slider_section',
			'label'			=> __( 'Note:', 'gurukul' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu. <br/> Recommended Image Size: 1900X600', 'gurukul' ),
		)
	)
); 
// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_slider_HeadingColor', 'lz_fitness_premium_slider_section', 'Text color','#ffffff');
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_slider_TextColor', 'lz_fitness_premium_slider_section', 'Slider Text color', '#ffffff');
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_slider_TextssColor', 'lz_fitness_premium_slider_section', 'Slider Sub Text color', '#ffffff');
//  name color
addColorPalatOption($wp_customize, 'lz_fitness_slider_ButtonColor', 'lz_fitness_premium_slider_section', 'Button color', '#6a9529');
//  Button Text color
addColorPalatOption($wp_customize, 'lz_fitness_slider_ButtonTextcolor', 'lz_fitness_premium_slider_section', 'Button Text color', '#ffffff');

//  name color
addColorPalatOption($wp_customize, 'lz_fitness_slider_BorderColor', 'lz_fitness_premium_slider_section', 'Border color', '#ffffff');
